Subject: Re: PCI IO range limitation

From: Marian Balakowicz <[email-masked]>
Date: Fri, 06 Jul 2007 15:37:03 +0200

Benjamin Herrenschmidt wrote:
> On Tue, 2007-07-03 at 11:24 +0200, Marian Balakowicz wrote:
>> Benjamin Herrenschmidt wrote:
>>> On Thu, 2007-06-28 at 12:20 +0200, Marian Balakowicz wrote:
>>>> I guess that with the above dropping of non-zero based PCI IO ranges
>>>> this is not supposed to be working. But does anyone know why?
>>> We just fixed that for 64 bits but 32 bits still has the limitation.
>>> Note that it's not a very good idea to have your IO range at !0 if
>>> you're going to use anything ISA-like, such as a VGA video card or other
>>> legacy devices behind a PCI southbridge or SuperIO.
>> Agree with the zero-based IO range for ISA devices. But, knowing we don't
>> have any ISA stuff on board it should be possible to change the IO base.
> 
> And you don't plan to ever have a VGA video card ?

You definitely got a point, but still, I tend to think that if someone wants to shoot himself in a foot he should be free to do it.

>> Are you planning on modifications for 32 bits as well?
> 
> Not right now, but you are welcome to send a patch :-) Though I fail to
> see why you want to do it.

I don't necessarily need that, I was rather wondering what were the reasons for such modification. This used to be allowed in 2.4, while 2.6 kernel with the legacy setup will silently reset. Kernel booting and issuing a big warning instead would be much nicer if we are to stick to the 0 based IO ranges.

Marian